// Copyright (c) 2023 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#include "SceneCodeGenerator.hpp"

using namespace Dawn;

void SceneCodeGenerator::generate(
  std::vector<std::string> *publicProperties,
  std::vector<std::string> *initBody,
  struct SceneCode *code,
  std::string tabs
) {
  switch(code->codeType) {
    case SCENE_CODE_TYPE_PROPERTIES:
      line(publicProperties, code->code, "");
      break;
    
    case SCENE_CODE_TYPE_INIT:
      line(initBody, code->code, "");
      break;

    default:
      break;
  }
}